While accessing Opencart site, I was getting error as ‘Fatal error: Call to undefined function utf8_substr()’. This error is related to PHP extensions on the server. You should have enable the mbstring and iconv extesnions to fix it.

If you are geting the same error to your website then plesse follow below setps to enable the required extensions-

==========================================================

1. Login to WHM using root access

2.  Softwares >> EasyApache

3. Click on Customize Option in-front of the ‘Currently Installed Packages.’

4. After that follow PHP Extensions

5. IN search box enter the name of required extension to be installed.

6. Click on Next button and follow the instrcutions  until it comes to  “Save and Build”.

==========================================================

Once done then you can verify it using login to your server using SSH root access –

Fire ‘php -m‘ command.

You will get the list of installed modules,check if the installed extension is listes or not.

You can check the specific extension using php -m | grep extension_name,.

For example –
==========================================================

[root@ ~]# php -m | grep mbstring

mbstring
==========================================================

That’s it! It will fix your issue. 🙂

Open chat